precision highp float;

varying highp vec2 uTexCoord;

uniform highp float uRatio;

uniform sampler2D prevTexture;
uniform sampler2D nextTexture;

uniform highp vec2 uResolution;

void main() {
    vec4 prev_color = texture2D(prevTexture, uTexCoord);
    vec4 next_color = texture2D(nextTexture, uTexCoord);

    gl_FragColor = prev_color * (1.0 - uRatio) + next_color * uRatio;
}
